ar71xx: enable sysupgrade for the OpenMesh OM5P-ACv2
authorJohn Crispin <john@openwrt.org>
Sat, 9 Apr 2016 10:26:22 +0000 (10:26 +0000)
committerJohn Crispin <john@openwrt.org>
Sat, 9 Apr 2016 10:26:22 +0000 (10:26 +0000)
Signed-off-by: Sven Eckelmann <sven.eckelmann@open-mesh.com>
SVN-Revision: 49151

target/linux/ar71xx/base-files/lib/upgrade/openmesh.sh
target/linux/ar71xx/base-files/lib/upgrade/platform.sh

index 1cfead9..209cdaa 100644 (file)
@@ -74,6 +74,7 @@ platform_check_image_openmesh()
                        ;;
                OM5PAC)
                        [ "$board" = "om5p-ac" ] && break
+                       [ "$board" = "om5p-acv2" ] && break
                        echo "Invalid image board target ($img_board_target) for this platform: $board. Use the correct image for this platform"
                        return 1
                        ;;
index fee9d63..2d61638 100755 (executable)
@@ -323,7 +323,8 @@ platform_check_image() {
        om2p-lc | \
        om5p | \
        om5p-an | \
-       om5p-ac)
+       om5p-ac | \
+       om5p-acv2)
                platform_check_image_openmesh "$magic_long" "$1" && return 0
                return 1
                ;;
@@ -577,7 +578,8 @@ platform_do_upgrade() {
        om2p-lc | \
        om5p | \
        om5p-an | \
-       om5p-ac)
+       om5p-ac | \
+       om5p-acv2)
                platform_do_upgrade_openmesh "$ARGV"
                ;;
        unifi-outdoor-plus | \